# Generated by Django 4.1.9 on 2023-07-03 12:00

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import utilities.json
import uuid


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("core", "0005_job_created_auto_now"),
        ("extras", "0092_delete_jobresult"),
    ]

    operations = [
        migrations.CreateModel(
            name="WebhookMessage",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ("payload", models.JSONField(default=None, null=True)),
                ("received_at", models.DateTimeField()),
            ],
            options={
                "ordering": ["received_at"],
            },
        ),
        migrations.CreateModel(
            name="WebhookReceiverGroup",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "custom_field_data",
                    models.JSONField(
                        blank=True,
                        default=dict,
                        encoder=utilities.json.CustomFieldJSONEncoder,
                    ),
                ),
                ("comments", models.TextField(blank=True)),
                ("description", models.CharField(blank=True, max_length=500)),
                ("name", models.CharField(max_length=50)),
                (
                    "tags",
                    taggit.managers.TaggableManager(
                        through="extras.TaggedItem", to="extras.Tag"
                    ),
                ),
            ],
            options={
                "ordering": ("name",),
            },
        ),
        migrations.CreateModel(
            name="WebhookReceiver",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "custom_field_data",
                    models.JSONField(
                        blank=True,
                        default=dict,
                        encoder=utilities.json.CustomFieldJSONEncoder,
                    ),
                ),
                ("comments", models.TextField(blank=True)),
                ("description", models.CharField(blank=True, max_length=500)),
                ("name", models.CharField(max_length=50)),
                ("token", models.CharField(blank=True, max_length=50, null=True)),
                (
                    "auth_header",
                    models.CharField(default="X-Gitlab-Token", max_length=50),
                ),
                ("auth_method", models.CharField(default="token", max_length=50)),
                ("secret_key", models.CharField(blank=True, max_length=50, null=True)),
                ("store_payload", models.BooleanField(default=True)),
                ("uuid", models.UUIDField(default=uuid.uuid4)),
                (
                    "datasource",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="core.datasource",
                    ),
                ),
                (
                    "receiver_group",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="receivers",
                        to="netbox_webhook_receiver.webhookreceivergroup",
                    ),
                ),
                (
                    "tags",
                    taggit.managers.TaggableManager(
                        through="extras.TaggedItem", to="extras.Tag"
                    ),
                ),
            ],
            options={
                "ordering": ("name", "receiver_group"),
            },
        ),
        migrations.AddIndex(
            model_name="webhookmessage",
            index=models.Index(
                fields=["received_at"], name="netbox_webh_receive_6a2187_idx"
            ),
        ),
    ]
